<div class="wrapper">
    <div class="page-header" style="background-image: url('./assets/img/login-image.jpg');">
        <div class="filter"></div>
            <div class="container">
        <div class="row">

                <!-- <h2>{{ 'HOME.TITLE' | translate }}</h2> -->
                
            <div class="col-lg-4 col-md-6 col-sm-12 ml-auto mr-auto">
                <div class="card card-register">
                    <h3 class="title">Cadastro</h3>


                    <form class="register-form" [formGroup]="registerForm" (ngSubmit)="onClickRegisto()">

                       
                        <label>Nome</label>
                        <div class="input-group form-group-no-border">
                            <div class="input-group-prepend">
                            <span class="input-group-text">
                                <i class="nc-icon nc-badge"></i>
                            </span>
                            </div>

                            <input type="text" 
                                class="form-control" 
                                placeholder="Nome" 
                                (focus)="focus=true" 
                                (blur)="focus=false"
                                [(ngModel)]="user.name"
                                name="inputNome"
                                formControlName="inputNome"
                                [ngClass]="{ 'is-invalid': submitted && f.inputNome.errors }">
                            
                            <div *ngIf="submitted && f.inputNome.errors" class="invalid-feedback custom-invalid">
                                <div *ngIf="f.inputNome.errors.required">Nome é obrigatório</div>
                            </div>
                        </div>

                        <label>Email</label>
                        <div class="input-group form-group-no-border">
                          <div class="input-group-prepend">
                            <span class="input-group-text">
                                <i class="nc-icon nc-email-85"></i>
                            </span>
                          </div>

                          <input type="email" 
                            class="form-control" 
                            placeholder="Email" 
                            [(ngModel)]="user.email"
                            name="inputEmail"
                            formControlName="inputEmail"
                            [ngClass]="{ 'is-invalid': submitted && f.inputEmail.errors }">
                          
                          <div *ngIf="submitted && f.inputEmail.errors" class="invalid-feedback custom-invalid">
                              <div *ngIf="f.inputEmail.errors.required">Email é obrigatório</div>
                              <div *ngIf="f.inputEmail.errors.email">Email deve ser válido</div>
                          </div>
                        </div>

                        <label>Senha</label>
                        <div class="input-group form-group-no-border">
                          <div class="input-group-prepend">
                            <span class="input-group-text">
                                <i class="nc-icon nc-key-25"></i>
                            </span>
                          </div>

                          <input type="password" 
                            class="form-control" 
                            placeholder="Senha" 
                            (focus)="focus=true" 
                            (blur)="focus=false"
                            [(ngModel)]="user.password"
                            name="inputSenha"
                            formControlName="inputSenha"
                            [ngClass]="{ 'is-invalid': submitted && f.inputSenha.errors }">
                      
                            <div *ngIf="submitted && f.inputSenha.errors" class="invalid-feedback custom-invalid">
                                <div *ngIf="f.inputSenha.errors.required">Senha é obrigatória</div>
                                <div *ngIf="f.inputSenha.errors.notSecure">Senha deve conter 6 caracteres</div>
                            </div>
                        </div>


                        <label>Confirma a Senha</label>
                        <div class="input-group form-group-no-border">
                          <div class="input-group-prepend">
                            <span class="input-group-text">
                                <i class="nc-icon nc-key-25"></i>
                            </span>
                          </div>

                          <input type="password" 
                            class="form-control" 
                            placeholder="ConfirmaSenha" 
                            (focus)="focus=true" 
                            (blur)="focus=false"
                            name="inputConfirmaSenha"
                            formControlName="inputConfirmaSenha"
                            [ngClass]="{ 'is-invalid': submitted && f.inputConfirmaSenha.errors }">
                    
                          <div *ngIf="submitted && f.inputConfirmaSenha.errors" class="invalid-feedback custom-invalid">
                              <div *ngIf="f.inputConfirmaSenha.errors.required">Senha de confirmação é obrigatória</div>
                              <div *ngIf="f.inputConfirmaSenha.errors.notSame">Senhas não conferem</div>
                          </div>

                        </div>

                        <button class="btn btn-danger btn-block btn-round" type="submit">Registar</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>